package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	domain "git.loafle.net/overflow/commons-go/domain/model"
	member "git.loafle.net/overflow/commons-go/member/model"
	meta "git.loafle.net/overflow/commons-go/meta/model"
)

type Probe struct {
	ID              json.Number           `json:"id,Number,omitempty"`
	Status          *meta.MetaProbeStatus `json:"status,omitempty"`
	Description     string                `json:"description,omitempty"`
	CreateDate      util.Timestamp        `json:"createDate,omitempty"`
	Domain          *domain.Domain        `json:"domain,omitempty"`
	ProbeKey        string                `json:"probeKey,omitempty"`
	EncryptionKey   string                `json:"encryptionKey,omitempty"`
	DisplayName     string                `json:"displayName,omitempty"`
	Cidr            string                `json:"cidr,omitempty"`
	AuthorizeDate   util.Timestamp        `json:"authorizeDate,omitempty"`
	AuthorizeMember *member.Member        `json:"authorizeMember,omitempty"`

	TargetCount int `json:"targetCount,omitempty"`
	SensorCount int `json:"sensorCount,omitempty"`
}
