package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	meta "git.loafle.net/overflow/commons-go/meta/model"
	target "git.loafle.net/overflow/commons-go/target/model"
)

type Sensor struct {
	ID                json.Number            `json:"id,Number,omitempty"`
	CreateDate        util.Timestamp         `json:"createDate,omitempty"`
	Description       string                 `json:"description,omitempty"`
	MetaSensorStatus  *meta.MetaSensorStatus `json:"status,omitempty"`
	Target            *target.Target         `json:"target,omitempty"`
	Crawler           *meta.MetaCrawler      `json:"crawler,omitempty"`
	CrawlerInputItems string                 `json:"crawlerInputItems,omitempty"`
}
